ソニーペイメントサービスの WelcartPay を新規ご契約で JCB ギフトカード 5,000円プレゼントキャンペーン

Welcart Basic 1.3.3 をリリース

注意

Welcart Basic 1.3.3 をご利用になられる場合の注意点

Welcart Basic 1.3.3 をご利用になられる場合は、必ずWelcart を最新バージョン(2.2.3 以降)にアップグレードしてください。


Welcart Basic 1.3.3 をリリースしました。主な修正点は以下の通りです。

  • wc_templates 内の一部関数変更
  • 内容確認ページのカートテーブル修正

wc_templates 内の関数変更について

Welcart Basic 1.3.3 では、商品詳細ページやカート・メンバーページの wc_templates 内のテンプレート修正をおこなっております。修正内容は、Welcart Basic 独自の関数を使用している箇所を Welcart 2.2.3 に追加されたwc_templates用の関数に置き換えております。

例)
welcart_basic_campaign_message() → wel_campaign_message()

この事により、Welcart Basic 1.3.3 を利用した際、Welcart のバージョンが最新(2.2.3 以降)でない場合には、例のように置き換えた部分でエラーが発生いたします。Welcart Basic 1.3.3 をご利用になられる場合は、必ずWelcart を最新バージョン(2.2.3 以降)にアップグレードしてください。

子テーマへの影響について

弊社で販売している Welcart Beldad や Welcart Voll など Welcart Basic の子テーマに関しては特に影響はございません。
ただし、Welcart Basic の子テーマをご利用になられている場合でも、Welcart Basic が最新(1.3.3)で、Welcart のバージョンが古い(2.2.3 以降)場合にはエラーが発生する場合がございますので、そういった場合には Welcart のバージョンを最新(2.2.3 以降)にアップグレードしてください。